package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;

import java.util.Arrays;

public class Data1 implements IntegerSupplier {
    private static final int SIZE = 500_000;
    private final Integer[] readOnly = IntegerArray.random(SIZE);

    @Override
    public String title() {
        return "Array of random Integers of size " + SIZE;
    }

    @Override
    public Integer[] get() {
        return Arrays.copyOf(readOnly, readOnly.length);
    }
}
